## IdeTaggedEntryTag IdeTaggedEntryTag |

## Functions

IdeTaggedEntry * | ide_tagged_entry_new ()
void | ide_tagged_entry_set_tag_button_visible ()
gboolean | ide_tagged_entry_get_tag_button_visible ()
gboolean | ide_tagged_entry_insert_tag ()
gboolean | ide_tagged_entry_add_tag ()
gboolean | ide_tagged_entry_remove_tag ()
IdeTaggedEntryTag * | ide_tagged_entry_tag_new ()
void | ide_tagged_entry_tag_set_label ()
const gchar * | ide_tagged_entry_tag_get_label ()
void | ide_tagged_entry_tag_set_has_close_button ()
gboolean | ide_tagged_entry_tag_get_has_close_button ()
void | ide_tagged_entry_tag_set_style ()
const gchar * | ide_tagged_entry_tag_get_style ()
gboolean | ide_tagged_entry_tag_get_area ()

## Properties

gboolean | tag-close-visible | Write
gboolean | has-close-button | Read / Write / Construct
gchar * | label | Read / Write / Construct
gchar * | style | Read / Write / Construct

## Signals

void | tag-button-clicked | Has Details
void | tag-clicked | Has Details

## Object Hierarchy

        GObject
        ├── GInitiallyUnowned
        │   ╰── GtkWidget
        │       ╰── GtkEntry
        │           ╰── GtkSearchEntry
        │               ╰── IdeTaggedEntry
        ╰── IdeTaggedEntryTag

## Description

## Functions

### ide_tagged_entry_new ()

    IdeTaggedEntry *
    ide_tagged_entry_new (void);

### ide_tagged_entry_set_tag_button_visible ()

    void
    ide_tagged_entry_set_tag_button_visible
                                   (IdeTaggedEntry *self,
                                    gboolean visible);

### ide_tagged_entry_get_tag_button_visible ()

    gboolean
    ide_tagged_entry_get_tag_button_visible
                                   (IdeTaggedEntry *self);

### ide_tagged_entry_insert_tag ()

    gboolean
    ide_tagged_entry_insert_tag (IdeTaggedEntry *self,
                                 IdeTaggedEntryTag *tag,
                                 gint position);

### ide_tagged_entry_add_tag ()

    gboolean
    ide_tagged_entry_add_tag (IdeTaggedEntry *self,
                              IdeTaggedEntryTag *tag);

### ide_tagged_entry_remove_tag ()

    gboolean
    ide_tagged_entry_remove_tag (IdeTaggedEntry *self,
                                 IdeTaggedEntryTag *tag);

### ide_tagged_entry_tag_new ()

    IdeTaggedEntryTag *
    ide_tagged_entry_tag_new (const gchar *label);

### ide_tagged_entry_tag_set_label ()

    void
    ide_tagged_entry_tag_set_label (IdeTaggedEntryTag *tag,
                                    const gchar *label);

### ide_tagged_entry_tag_get_label ()

    const gchar *
    ide_tagged_entry_tag_get_label (IdeTaggedEntryTag *tag);

### ide_tagged_entry_tag_set_has_close_button ()

    void
    ide_tagged_entry_tag_set_has_close_button
                                   (IdeTaggedEntryTag *tag,
                                    gboolean has_close_button);

### ide_tagged_entry_tag_get_has_close_button ()

    gboolean
    ide_tagged_entry_tag_get_has_close_button
                                   (IdeTaggedEntryTag *tag);

### ide_tagged_entry_tag_set_style ()

    void
    ide_tagged_entry_tag_set_style (IdeTaggedEntryTag *tag,
                                    const gchar *style);

### ide_tagged_entry_tag_get_style ()

    const gchar *
    ide_tagged_entry_tag_get_style (IdeTaggedEntryTag *tag);

### ide_tagged_entry_tag_get_area ()

    gboolean
    ide_tagged_entry_tag_get_area (IdeTaggedEntryTag *tag,
                                   cairo_rectangle_int_t *rect);

## Property Details

### The `“tag-close-visible”` property

      “tag-close-visible”        gboolean

Whether the close button should be shown in tags.

Owner: IdeTaggedEntry

Flags: Write

Default value: TRUE

### The `“has-close-button”` property

      “has-close-button”         gboolean

Whether the tag has a close button.

Owner: IdeTaggedEntryTag

Flags: Read / Write / Construct

Default value: TRUE

### The `“label”` property

      “label”                    gchar *

Text to show on the tag.

Owner: IdeTaggedEntryTag

Flags: Read / Write / Construct

Default value: NULL

### The `“style”` property

      “style”                    gchar *

Style of the tag.

Owner: IdeTaggedEntryTag

Flags: Read / Write / Construct

Default value: "entry-tag"

## Signal Details

### The `“tag-button-clicked”` signal

    void
    user_function (IdeTaggedEntry    *idetaggedentry,
                   IdeTaggedEntryTag *arg1,
                   gpointer           user_data)

Flags: Has Details

### The `“tag-clicked”` signal

    void
    user_function (IdeTaggedEntry    *idetaggedentry,
                   IdeTaggedEntryTag *arg1,
                   gpointer           user_data)

Flags: Has Details